Mail archive
alpine-aports

[alpine-aports] [PATCH 3/7] testing/perl-uri-encode-xs: new aport

From: Nick Andrew <nick_at_nick-andrew.net>
Date: Sat, 13 Aug 2016 14:56:09 +0000

http://search.cpan.org/~dfarrell/URI-Encode-XS-0.09
A Perl URI encoder/decoder using C
---
 testing/perl-uri-encode-xs/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-uri-encode-xs/APKBUILD
diff --git a/testing/perl-uri-encode-xs/APKBUILD b/testing/perl-uri-encode-xs/APKBUILD
new file mode 100644
index 0000000..db1b58a
--- /dev/null
+++ b/testing/perl-uri-encode-xs/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <nick_at_nick-andrew.net>
+# Maintainer: Nick Andrew <nick_at_nick-andrew.net>
+pkgname=perl-uri-encode-xs
+_pkgreal=URI-Encode-XS
+pkgver=0.09
+pkgrel=0
+pkgdesc="a Perl URI encoder/decoder using C"
+url="http://search.cpan.org/dist/URI-Encode-XS/"
+arch="all"
+license="freebsd"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DF/DFARRELL/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="f69fed801e7f5151dbbeefc5595a6a75  URI-Encode-XS-0.09.tar.gz"
+sha256sums="2770fe4d947d5947f0e6ffe90fe13de0357e0c9205418ab72a85148b12bf4511  URI-Encode-XS-0.09.tar.gz"
+sha512sums="e96c554af5faaa53326b0f583e09deb46fc0c4853a9b154709b32863767001e066e5625f25dc841736f6cce50d59a963d138838418b020acf351f0a08aa058aa  URI-Encode-XS-0.09.tar.gz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 13 2016 - 14:56:09 GMT